最近一直在忙海外IDC上线,新加坡的IDC由当地的服务商进行物理服务器的安装,包括服务器操作系统。当地人员给服务器安装的是ESXi4.0,看来也是VM的忠实Fans啊。

    机器名、网络、账户一切处理好了以后,打算做一个从中国到新加坡的V2V迁移测试,主要想评估网络传输的性能和稳定性。结果发现一个小问题。
 
    之前一直用的VMware Converter,版本号为4.0.0,在选择迁移目标系统时,可以发现并且连接到新加坡的服务器,但是开始迁移之后,就报错,截图如下:
 
 
    起初我以为是网络较差引起的失败,所以进行了多次的尝试。仔细观察之后发现,如果是网络差,应该是在开始传输数据之后才会发生报错,并且报错发生的时间应该有一定的随机性。而现在每次的报错都是在检测服务器的同一时刻,所以开始怀疑是converter或者ESXi本身的问题了。
 
    再次运行Converter,同样是在选择目标位置是,在右边的描述栏里明确写着支持ESX/ESXi 3.5,VI2.5,就是没写4.0版本是否支持。所以,开始怀疑现在使用的版本可能并不支持ESX/ESXi 4.0。
 
    经过在VM网站的查找,发现,虽然大版本都是4.0的Converter,但是4.0.1就能够支持最新的ESX/ESXi 4.0,而4.0.0的Converter就不支持。。也不知道为什么VM要把之前那个叫4.0版。。这里还有一个小插曲。
 
    因为时间紧迫,开始的时候我并没有自己上网站仔细查找对比,而是给VMware中国的技术支持部门打的800电话,接电话的MM还跟后台支持人员确认了半天,4.0.0的Converter的确是不支持最新的ESX/ESXi 4.0,但给的结果居然是目前尚没有能够支持ESX/ESXi 4.0的Converter版本可用。。这点很奇怪,按VMware的风格,不可能出现这种配套产品跟不上的问题,最后果真在VMware的网站里面找到了答案。。哎,看来VMware在中国,还有很长一段路要走啊。。
 
    一点小小的经验,记录下来,留给自己,也供有用到的朋友参考。